import { Events, Guild } from 'discord.js';
import { InviteService } from '../services/InviteService';
import { PresenceService } from '../services/PresenceService';

export default {
  name: Events.GuildCreate,
  once: false,
  async execute(guild: Guild) {
    await InviteService.cacheGuildInvites(guild);
    PresenceService.updatePresence(guild.client);
  },
};
